<?php

namespace Drupal\multisite_manager_tool\Controller;

use Drupal\Core\Controller\ControllerBase;
use Drupal\multisite_manager_tool\Form\CacheClearSiteForm;
use Drupal\multisite_manager_tool\Form\CacheClearSitesForm;

/**
 * Returns responses for Multisite manager tool routes.
 */
final class ManageCachesController extends ControllerBase {

  /**
   * Displays the system multisite manager tool page.
   *
   * @return array
   *   A render array containing the multisite-manager-tool form.
   */
  public function build(): array {
    return [
      'cache_clear_sites' => $this->formBuilder()->getForm(CacheClearSitesForm::class),
      'cache_clear_site' => $this->formBuilder()->getForm(CacheClearSiteForm::class),
    ];
  }

}
